# TColgp_HSequenceOfXY.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_TColgp_HSequenceOfXY.hxx>`
`#include <TColgp_SequenceOfXY.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item gp_XY
#define | Item_hxx <gp_XY.hxx>
#define | TheSequence TColgp_SequenceOfXY
#define | TheSequence_hxx <TColgp_SequenceOfXY.hxx>
#define | TCollection_HSequence TColgp_HSequenceOfXY
#define | TCollection_HSequence_hxx <TColgp_HSequenceOfXY.hxx>
#define | Handle_TCollection_HSequence Handle_TColgp_HSequenceOfXY
#define | TCollection_HSequence_Type_() TColgp_HSequenceOfXY_Type_()

## Functions

Handle_TColgp_HSequenceOfXY | ShallowCopy (const Handle_TColgp_HSequenceOfXY &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_TColgp_HSequenceOfXY

#define Item gp_XY

#define Item_hxx <gp_XY.hxx>

#define TCollection_HSequence TColgp_HSequenceOfXY

#define TCollection_HSequence_hxx <TColgp_HSequenceOfXY.hxx>

#define TCollection_HSequence_Type_ | (

)

TColgp_HSequenceOfXY_Type_()

#define TheSequence TColgp_SequenceOfXY

#define TheSequence_hxx <TColgp_SequenceOfXY.hxx>

## Function Documentation

Handle_TColgp_HSequenceOfXY ShallowCopy | ( | const Handle_TColgp_HSequenceOfXY & | me | ) | `[inline]`